#!/bin/bash

if [ ! -n "${KEYSTOREPATH}" ] 
then
	KEYSTOREPATH=../..
fi

if [[ -n "${KEYSTOREPASS}" && -n "${KEYPASS}" ]]
then
	jarsigner -verbose \
		-keystore ${KEYSTOREPATH}/android_release_key.keystore \
		-storepass ${KEYSTOREPASS} \
		-keypass ${KEYPASS} \
		bin/MapDroid-release.apk \
		gataki
else
	jarsigner -verbose \
		-keystore ${KEYSTOREPATH}/android_release_key.keystore \
		bin/MapDroid-release.apk \
		gataki
fi
