package uk.co.gataki.mapdroid;

import android.graphics.Bitmap;
import java.util.Set;
import java.util.HashMap;

interface ReaderInterface
{
	void Initialise(String location);
	void Close();
	boolean IsOpen();
	Bitmap GetImage(int x_index, int y_index, int zoom);
	Set<Integer> GetZoomLevels();
	public HashMap<Integer,String> GetSourceList();
	public HashMap<Integer,Boolean> GetSourceStates();
	public void SelectSource(int source);
	public void AcceptAnySource();
	public void EnableSource(int source);
	public void DisableSource(int source);

}
